Ask a Question
GoPro Support Hub Find a solution. Share a solution. Ask a question. Stay stoked.
Announcements
Is your GoPro gear up to date? Check to see If it is on our Update page.
GoPro Apps for Desktop
%3CLINGO-SUB%20id%3D%22lingo-sub-146532%22%20slang%3D%22en-US%22%3EInstallation%20-%20Developer%20certificate%20expired%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-146532%22%20slang%3D%22en-US%22%3E%3CP%3EI'm%20trying%20to%20install%20GoPro%20Quik%20for%20Mac.%20I%20downloaded%20the%20package%20moments%20ago.%20When%20I%20start%20the%20installer%20GoPro%20Quik.pkg%20it%20says%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3E%3CSTRONG%3EThe%20package%20was%20signed%20with%20a%20certiciate%20that%20has%20expired.%20If%20you%20acquired%20this%20package%20recently%2C%20it%20may%20not%20be%20authentic.%20Do%20you%20want%20to%20continue%20with%20the%20installation%20anyway%3F%3C%2FSTRONG%3E%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3EIs%20it%20okay%20to%20continue%3F%20Any%20chance%20the%20downloadable%20package%20could%20be%20updated%20so%20that%20I%20can%20trust%20it%3F%3C%2FP%3E%3C%2FLINGO-BODY%3E%3CLINGO-LABS%20id%3D%22lingo-labs-146532%22%20slang%3D%22en-US%22%3E%3CLINGO-LABEL%3EQuik%20for%20Desktop%20-%20Mac%3C%2FLINGO-LABEL%3E%3C%2FLINGO-LABS%3E%3CLINGO-SUB%20id%3D%22lingo-sub-148477%22%20slang%3D%22en-US%22%3ERe%3A%20Installation%20-%20Developer%20certificate%20expired%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-148477%22%20slang%3D%22en-US%22%3E%3CP%3ESame%20issue.%20%26nbsp%3BAny%20plan%20to%20renew%20the%20certificate%20or%20re-publish%20the%20download%20with%20a%20valid%20certificate%3F%3C%2FP%3E%3C%2FLINGO-BODY%3E%3CLINGO-SUB%20id%3D%22lingo-sub-148539%22%20slang%3D%22en-US%22%3ERe%3A%20Installation%20-%20Developer%20certificate%20expired%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-148539%22%20slang%3D%22en-US%22%3E%3CP%3Eyep%2C%20still%20not%20solved%20as%20of%20today.%3C%2FP%3E%3CP%3EThat%20is%20not%20a%20pro%20way%20to%20do%20software%20distribution.%3C%2FP%3E%3C%2FLINGO-BODY%3E%3CLINGO-SUB%20id%3D%22lingo-sub-149298%22%20slang%3D%22en-US%22%3ERe%3A%20Installation%20-%20Developer%20certificate%20expired%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-149298%22%20slang%3D%22en-US%22%3E%3CP%3ESame%20here%2C%20and%20still%20no%20update...%3C%2FP%3E%3C%2FLINGO-BODY%3E%3CLINGO-SUB%20id%3D%22lingo-sub-162542%22%20slang%3D%22en-US%22%3ERe%3A%20Installation%20-%20Developer%20certificate%20expired%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-162542%22%20slang%3D%22en-US%22%3E%3CP%3EMe%20too%3C%2FP%3E%3C%2FLINGO-BODY%3E%3CLINGO-SUB%20id%3D%22lingo-sub-162839%22%20slang%3D%22en-US%22%3ERe%3A%20Installation%20-%20Developer%20certificate%20expired%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-162839%22%20slang%3D%22en-US%22%3E%3CP%3EHello%20everyone%2C%26nbsp%3B%3C%2FP%3E%0A%0A%3CP%3E%26nbsp%3B%3C%2FP%3E%0A%0A%3CP%3EIn%20this%20situation%2C%20select%20the%20Trust%20option%2C%20then%20Continue.%26nbsp%3BLet%20us%20know%20how%20it%20goes.%26nbsp%3B%3C%2FP%3E%0A%0A%3CP%3E%26nbsp%3B%3C%2FP%3E%0A%0A%3CP%3EThanks%2C%26nbsp%3B%20Marius%3C%2FP%3E%3C%2FLINGO-BODY%3E%3CLINGO-SUB%20id%3D%22lingo-sub-163238%22%20slang%3D%22en-US%22%3ERe%3A%20Installation%20-%20Developer%20certificate%20expired%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-163238%22%20slang%3D%22en-US%22%3E%3CP%3EI%20believe%20it%20would%20just%20work%20but%20can't%20trust%20if%20this%20is%20a%20legit%20package%20from%20GoPro%20or%20some%20hacked%20version%20updated%20some%203rd%20party.%20As%20you%20work%20for%20GoPro%20do%20you%20mind%20sharing%26nbsp%3BSHA%20checksum%20of%20the%20official%20archive%20and%20if%20those%20match%20with%20my%20download%20I%20can%20feel%20comofrtable%20installing%20a%20package%20with%20an%20invalid%26nbsp%3Bcertificate.%3C%2FP%3E%3C%2FLINGO-BODY%3E%3CLINGO-SUB%20id%3D%22lingo-sub-163961%22%20slang%3D%22en-US%22%3ERe%3A%20Installation%20-%20Developer%20certificate%20expired%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-163961%22%20slang%3D%22en-US%22%3E%3CP%3EJust%20a%20bump%20on%20this%2C%20still%20an%20issue.%3C%2FP%3E%3C%2FLINGO-BODY%3E%3CLINGO-SUB%20id%3D%22lingo-sub-164211%22%20slang%3D%22en-US%22%3ERe%3A%20Installation%20-%20Developer%20certificate%20expired%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-164211%22%20slang%3D%22en-US%22%3E%3CP%3E100%25%20would%20not%20do%20this%20nor%20would%20I%20recommend%20it%20to%20anyone%20else.%20%26nbsp%3B%20It's%20easy%20enough%20to%20man-in-the-middle%20the%20traffic%20and%2For%20falsify%20the%20download%20with%20no%20way%20to%20validate%20if%20the%20package%26nbsp%3Bactually%20came%20from%20GoPro.%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3EI%20agree%20a%20checksum%20would%20help%20a%20bit%20but%20is%20still%20not%20improbable%20it%20could%20be%20falsified.%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3EIs%20'just%20trust%20it%20anyway'%20the%20official%20GoPro%20stance%20on%20this%3F%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3C%2FLINGO-BODY%3E%3CLINGO-SUB%20id%3D%22lingo-sub-164220%22%20slang%3D%22en-US%22%3ERe%3A%20Installation%20-%20Developer%20certificate%20expired%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-164220%22%20slang%3D%22en-US%22%3E%3CP%3EINCREDIBLE%20that%20this%20wouldn't%20get%20looked%20at.%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3EDoes%26nbsp%3BSony%20have%20this%20problem%3F%20I%20was%20waffling%20between%20the%20GP%20and%20a%20Sony%20with%20a%20**bleep**%20Leica%20lens%20and%20incredible%20optical%20stability.%20It%20was%2050%2F50...%20I%20went%20with%20the%20GoPro...%20now%20I'm%20wondering%20WTF%20I%20was%20thinking.%26nbsp%3B%3C%2FP%3E%3C%2FLINGO-BODY%3E%3CLINGO-SUB%20id%3D%22lingo-sub-165896%22%20slang%3D%22en-US%22%3ERe%3A%20Installation%20-%20Developer%20certificate%20expired%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-165896%22%20slang%3D%22en-US%22%3E%3CP%3EHey%20everyone%2C%3C%2FP%3E%0A%3CP%3E%26nbsp%3B%3C%2FP%3E%0A%3CP%3EQuik%20for%20desktop%202.6.0%20was%20released%20today%20and%20with%20it%20comes%20an%20update%20to%20the%20developer%20certificate.%20Once%20you%20download%20the%20latest%20version(here)%2C%20you'll%20notice%20that%20things%20are%20back%20to%20normal.%3C%2FP%3E%0A%3CP%3E%26nbsp%3B%3C%2FP%3E%0A%3CP%3E~%20Mowens%3C%2FP%3E%3C%2FLINGO-BODY%3E%3CLINGO-SUB%20id%3D%22lingo-sub-167255%22%20slang%3D%22en-US%22%3ERe%3A%20Installation%20-%20Developer%20certificate%20expired%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-167255%22%20slang%3D%22en-US%22%3E%3CP%3EThanks%20for%20the%20update!%3C%2FP%3E%3C%2FLINGO-BODY%3E
Reply
Sightseer
Posts: 2

Installation - Developer certificate expired

I'm trying to install GoPro Quik for Mac. I downloaded the package moments ago. When I start the installer GoPro Quik.pkg it says

 

The package was signed with a certiciate that has expired. If you acquired this package recently, it may not be authentic. Do you want to continue with the installation anyway?

 

Is it okay to continue? Any chance the downloadable package could be updated so that I can trust it?

Screenshot 2018-02-28 09.37.30.png
Sightseer
Posts: 3

Re: Installation - Developer certificate expired

Same issue.  Any plan to renew the certificate or re-publish the download with a valid certificate?

Sightseer
Posts: 1

Re: Installation - Developer certificate expired

yep, still not solved as of today.

That is not a pro way to do software distribution.

Sightseer
Posts: 2

Re: Installation - Developer certificate expired

Same here, and still no update...

Hiker
Posts: 12

Re: Installation - Developer certificate expired

Me too

Highlighted
GoPro
Posts: 7,532

Re: Installation - Developer certificate expired

Hello everyone, 

 

In this situation, select the Trust option, then Continue. Let us know how it goes. 

 

Thanks, 
Marius

Sightseer
Posts: 2

Re: Installation - Developer certificate expired

I believe it would just work but can't trust if this is a legit package from GoPro or some hacked version updated some 3rd party. As you work for GoPro do you mind sharing SHA checksum of the official archive and if those match with my download I can feel comofrtable installing a package with an invalid certificate.

Tourist
Posts: 5

Re: Installation - Developer certificate expired

Just a bump on this, still an issue.